Class | Bio::Feature::Qualifier
In: | lib/bio/feature.rb
Parent: | Object

Container for qualifier-value pairs for sequence features.

### Methods

new

### Attributes

qualifier | [R] | Qualifier name in String
value | [R] | Qualifier value in String

### Public Class methods

new(key, value)

Creates a new Bio::Feature::Qualifier object

Arguments:

- (required) key: key of the qualifier (e.g. "gene")
- (required) value: value of the qualifier (e.g. "CYP2D6")

Returns: | Bio::Feature::Qualifier object

[Source]

         # File lib/bio/feature.rb, line 124
    124:     def initialize(key, value)
    125:       @qualifier, @value = key, value
    126:     end

[Validate]